#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	String
%define		pnam	CRC32
Summary:	String::CRC32 - Perl interface to CRC32 generation
Summary(pl.UTF-8):	String::CRC32 - perlowy interfejs do generowania CRC32
Name:		perl-String-CRC32
Version:	1.4
Release:	15
License:	Public Domain
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/String/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9b241bc4a482a3aa59fbb1429bc30546
URL:		http://search.cpan.org/dist/String-CRC32/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
String::CRC32 module calculates CRC of 32 bit lenghts.

%description -l pl.UTF-8
Moduł String::CRC32 oblicza CRC długości 32 bitów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/String/CRC32.pm
%dir %{perl_vendorarch}/auto/String/CRC32
%attr(755,root,root) %{perl_vendorarch}/auto/String/CRC32/CRC32.so
%{_mandir}/man3/*
%changelog
* Sun Jun 11 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-String-CRC32.git;a=log;h=master

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> a5542f5
- perl req/prov fix
- release 15 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 63248e3
- rebuild with perl 5.26
- release 14 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 90e37c8
- rebuild with perl 5.24.0
- release 13 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 93076d8
- release 12 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> e871df9
- x32 rebuild
- release 11 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 074b69b
- release 10 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> af9897d
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 5b4a9d4
- rebuild for perl 5.20
- release 9 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 6876513
- rebuild with perl 5.18.0
- release 8 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 4f52aa6
- rel 7

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> fe8c6fb
- release 6

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 05f6f50
- release 5

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 6a43049
- release 4

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 4e74e7a
- generic URL, informative summaries

* Sun Mar 02 2008 radek <radek@pld-linux.org> 9ad75f9
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 7b4552c
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 44f91b7
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1f9de21
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 32f481a
- converted to UTF-8

* Mon Aug 07 2006 Maciej Pijanka <agaran@pld-linux.org> 5859061
- up to 1.4, rel 1, builds here

